#!/bin/bash
NAME="eclipse-dltk"
VERSION=5.0.0
TAG="Root_R5_0_maintenance"
DATE=""

rm -fr $NAME-$VERSION
mkdir $NAME-$VERSION
pushd $NAME-$VERSION
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.releng.git/snapshot/Root_R5_0_maintenance.tar.bz2
tar xfs Root_R5_0_maintenance.tar.bz2
rm -fr Root_R5_0_maintenance.tar.bz2
mkdir org.eclipse.dltk.releng
mv Root_R5_0_maintenance/* org.eclipse.dltk.releng
rm -fr Root_R5_0_maintenance
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.core.git/snapshot/Root_R5_0_maintenance.tar.bz2
tar xfs Root_R5_0_maintenance.tar.bz2
rm -fr Root_R5_0_maintenance.tar.bz2
mkdir org.eclipse.dltk.core
mv Root_R5_0_maintenance/* org.eclipse.dltk.core
rm -fr Root_R5_0_maintenance
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.ruby.git/snapshot/Root_R5_0_maintenance.tar.bz2
tar xfs Root_R5_0_maintenance.tar.bz2
rm -fr Root_R5_0_maintenance.tar.bz2
mkdir org.eclipse.dltk.ruby
mv Root_R5_0_maintenance/* org.eclipse.dltk.ruby
rm -fr Root_R5_0_maintenance
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.tcl.git/snapshot/Root_R5_0_maintenance.tar.bz2
tar xfs Root_R5_0_maintenance.tar.bz2
rm -fr Root_R5_0_maintenance.tar.bz2
mkdir org.eclipse.dltk.tcl
mv Root_R5_0_maintenance/* org.eclipse.dltk.tcl
rm -fr Root_R5_0_maintenance
popd

#Remove any commited jars
find $NAME-$VERSION -name *.jar -delete

echo "Creating tarball '$NAME-$VERSION.tar.xz'..."
tar -caf $NAME-$VERSION.tar.xz $NAME-$VERSION
